Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Developer API operation for PATCH /dev/v1/products//variants/fields/.
cURL
curl --request PATCH \ --url https://api.shoppex.io/dev/v1/products/{id}/variants/fields/{fieldId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Region Updated" } '
{ "data": { "id": "field_1", "name": "Region Updated", "type": "select", "required": false, "placeholder": null, "default_value": null, "sort_order": 2, "options": [], "created_at": 1711953600, "updated_at": 1711953900 } }
Use your Shoppex API key in the Authorization header.
The body is of type object.
object
Successful response